View Issue Details

IDProjectCategoryView StatusLast Update
0002997SketcherBugpublic2017-12-07 11:21
ReporterPatola Assigned Toabdullah  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04 64 bits
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0002997: External geometry points make arc ends become NaN
DescriptionWhen I try to make an arc with end points and rim selecting external geometry points, the sketcher stops recognizing the points after I select the second one, saying the distance and angle are Not-a-Number. It is better understood with the step-by-step below.
Works the same in both 0.16 and latest 0.17 from daily PPA.
Steps To Reproduce1 - create new file.
2 - create a sketch on the XY plane with Z offset 600, plot a 600x600 square, close sketch.
3 - create new sketch on upper face of this sketch
4 - create two squares with 60x60mm. Assign external geometry to the sides of the previous 600x600 rectangle. Make both squares 20 X and 20 Y distant from the bigger square extremities.
5 - close sketch. Pad to 600 mm.
6 - make new sketch on the same face. Select the inner points of the previous sketch rectangles as external geometry. trace a construction line between these points.
7 - try to make an arc with end points and rim. Select the first end point as the leftmost external geometry point. After you select the second the second end point as the rightmost external geometry point, it does not allow you to complete the arc, saying the angle and distance are Not-a-Number. A screenshot is attached. A file with these object is also attached.

Additional InformationOS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6707 (Git)
Build type: None
Branch: releases/FreeCAD-0-16
Hash: 5465bc47c95db45e0be85dc0e2872419efadce0f
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
Tagsarc, external geometry, NaN, sketcher
FreeCAD Information

Relationships

related to 0003018 closedabdullah Sketcher Arc End Points + Rim Point fails with "NaN" 

Activities

Patola

2017-04-25 19:14

reporter   ~0008758

Attached screenshot of operation (in 0.16, but it works the same in 0.17) and file from 0.16

arco.png (271,532 bytes)
arco.png (271,532 bytes)
arc-end-points-and-rim.fcstd (11,223 bytes)

Kunda1

2017-05-18 11:30

administrator   ~0009050

@NormandC do you mind testing this ticket in 0.17 as well?

abdullah

2017-05-21 08:13

manager   ~0009070

This:
https://github.com/FreeCAD/FreeCAD/pull/766

should fix it.

abdullah

2017-12-07 06:01

manager   ~0010532

@kunda1

Should this ticket be open?

Kunda1

2017-12-07 11:21

administrator   ~0010540

This ticket closed with 0003018 simultaneously via
https://github.com/FreeCAD/FreeCAD/pull/766
FreeCAD master c6e0c6aa

Issue History

Date Modified Username Field Change
2017-04-25 19:13 Patola New Issue
2017-04-25 19:13 Patola Tag Attached: sketcher
2017-04-25 19:13 Patola Tag Attached: arc
2017-04-25 19:13 Patola Tag Attached: end points and rim
2017-04-25 19:13 Patola Tag Attached: external geometry
2017-04-25 19:14 Patola File Added: arco.png
2017-04-25 19:14 Patola File Added: arc-end-points-and-rim.fcstd
2017-04-25 19:14 Patola Note Added: 0008758
2017-05-06 11:02 Kunda1 Relationship added related to 0003018
2017-05-14 14:27 Kunda1 Tag Attached: NaN
2017-05-18 11:30 Kunda1 Note Added: 0009050
2017-05-21 08:12 abdullah Assigned To => abdullah
2017-05-21 08:12 abdullah Status new => assigned
2017-05-21 08:13 abdullah Note Added: 0009070
2017-05-30 10:18 Kunda1 Tag Detached: end points and rim
2017-12-07 06:01 abdullah Note Added: 0010532
2017-12-07 11:21 Kunda1 Status assigned => closed
2017-12-07 11:21 Kunda1 Resolution open => fixed
2017-12-07 11:21 Kunda1 Fixed in Version => 0.17
2017-12-07 11:21 Kunda1 Note Added: 0010540